Ameba::Formatter::DotFormatter - ameba 1.6.4

# class Ameba::Formatter::DotFormatter

- Ameba::Formatter::DotFormatter
- Ameba::Formatter::BaseFormatter
- Reference
- Object

##
Overview

A formatter that shows a progress of inspection in a terminal using dots. It is similar to Crystal's dot formatter for specs.

##
Included Modules

- Ameba::Formatter::Util

##
Direct Known Subclasses

- Ameba::Formatter::TODOFormatter

##
Defined in:

ameba/formatter/dot_formatter.cr

##
Instance Method Summary

- #finished(sources) : Nil

  Reports a message when inspection is finished.

- #source_finished(source : Source) : Nil

  Reports a result of the inspection of a corresponding source.

- #started(sources) : Nil

  Reports a message when inspection is started.

### Instance methods inherited from module `Ameba::Formatter::Util`

affected_code(issue : Issue, context_lines = 0, max_length = 120, ellipsis = " ...", prompt = "> ")
affected_code(code, location, end_location = nil, context_lines = 0, max_length = 120, ellipsis = " ...", prompt = "> ") affected_code, context(lines, lineno, context_lines = 3, remove_empty = true) context, deansify(message : String | Nil) : String | Nil deansify, trim(str, max_length = 120, ellipsis = " ...") trim

### Instance methods inherited from class `Ameba::Formatter::BaseFormatter`

config : Hash(Symbol, Bool | String) config, finished(sources) : Nil finished, output : IO::FileDescriptor | IO::Memory output, source_finished(source : Source) : Nil source_finished, source_started(source : Source) : Nil source_started, started(sources) : Nil started

### Constructor methods inherited from class `Ameba::Formatter::BaseFormatter`

new(output : IO = STDOUT) new

##
Instance Method Detail

def finished(sources) : Nil #

Reports a message when inspection is finished.

def source_finished(source : Source) : Nil #

Reports a result of the inspection of a corresponding source.

def started(sources) : Nil #

Reports a message when inspection is started.